> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assets Generated

> Get a list of generated assets acrross endpoints.

## Request

Send a `POST` request to below endpoint.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v6/assets_generated' \
```

## Body

```json json theme={null}
{  
  "key": "your_api_key",  
  "type": "image"
}
```


## OpenAPI

````yaml POST /assets_generated
openapi: 3.1.0
info:
  title: ModelsLab General API
  description: >-
    General utility endpoints for ModelsLab API including subscription
    management, content moderation, and file handling
  license:
    name: MIT
  version: 6.0.0
servers:
  - url: https://modelslab.com/api
    description: Main API server (for endpoints without version prefix)
  - url: https://modelslab.com/api/v3
    description: API v3 server
  - url: https://modelslab.com/api/v5
    description: API v5 server
  - url: https://modelslab.com/api/v6
    description: API v6 server
security: []
paths:
  /assets_generated:
    post:
      summary: Assets generated
      description: This endpoint gets a list of generated assets across endpoints
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssetsGeneratedRequest'
      responses:
        '200':
          description: NSFW prompt check response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetsGeneratedResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      servers:
        - url: https://modelslab.com/api
components:
  schemas:
    AssetsGeneratedRequest:
      type: object
      required:
        - key
        - type
      properties:
        key:
          type: string
          description: Your enterprise API Key used for request authorization
        type:
          type: string
          enum:
            - image
            - video
            - voice
            - 3d
          description: 'The type of asset '
        per_page:
          type: integer
          description: 'Number of assets to return per page (default: 10, max: 30)'
        page:
          type: integer
          description: 'Page number (default: 1)'
    AssetsGeneratedResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
        type:
          type: string
          description: The type of asset generated
        data:
          type: array
          description: Array of generated assets
          items:
            type: object
            properties:
              id:
                type: integer
                description: Unique identifier for the generated asset
              output:
                type: array
                items:
                  type: string
                  format: uri
                description: Array of URLs to the generated asset files
        pagination:
          type: object
          description: Pagination information for the response
          properties:
            current_page:
              type: integer
              description: The current page number
              example: 2
            per_page:
              type: integer
              description: Number of items per page
              example: 15
            total:
              type: integer
              description: Total number of assets
              example: 53
            last_page:
              type: integer
              description: The last page number
              example: 4
            from:
              type: integer
              description: Starting index of current page results
              example: 16
            to:
              type: integer
              description: Ending index of current page results
              example: 30
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          enum:
            - error
        message:
          type: string
          description: Error message

````